let mongoose = require('mongoose');
mongoose.Promise = global.Promise

schema = mongoose.Schema({
	address: Object,
	streamUrl: String,
	streamToken: String,
	lastPlaybackStop: String,
	lastPlaybackStart: String,
	amzn_id: String,
	deviceId: String,
	time_zone: String,
	name: String,
	fb_id: String,
	fb_image: String,
	pending_transaction: Object,
	// fb_archive: String,
	// country: String,
	// zip_code: String,
	activity: Object,
	fails: Object,
	search_history: Object,
	fail_terms: Object,
	critical_errors: Object,
	clarify_terms: Object,
	lastFail: Object,
	lastAttempt: Object,
	permissions: Object,
	age: Boolean,
	// discovery: Boolean,
	// newConnections: Array,
	// newMessages: Array,
	// passed: Array,
    // connections: Array,
    // potentials: Array,
    updates: Array,
	likes: Array,
	myAge: Number,
	gender: String,
	// minimum age
	// minimumAge: Number,
	// maximumAge: Number,
	// genderBuddy: String,
    _id: mongoose.Schema.ObjectId,

});
module.exports = mongoose.model('User', schema);
